## net.i2p.data.i2np
Class BuildResponseRecord

    java.lang.Object
      net.i2p.data.i2np.BuildResponseRecord

    public class BuildResponseRecord

extends java.lang.Object

Read and write the reply to a tunnel build message record.

Constructor Summary
`BuildResponseRecord()`

Method Summary
`byte[]` `create(I2PAppContext ctx, int status, SessionKey replyKey, byte[] replyIV, long responseMessageId)` Create a new encrypted response

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildResponseRecord

    public BuildResponseRecord()

Method Detail

### create

    public byte[] create(I2PAppContext ctx,
                         int status,
                         SessionKey replyKey,
                         byte[] replyIV,
                         long responseMessageId)

  Create a new encrypted response